This API endpoint retrieves the details of a specific product / content using its product_id.
To fetch the product / content information, make a GET request to the following URL:
Notice: Make sure the product_id is an urlencode string.
GET /v1/products/{product_id}
Replace {product_id} with the unique identifier of the product / content you wish to fetch.
The API will return the product / content details in a JSON object if the given product_id
is valid and exists in the system. The JSON object will include fields like title,
description, price, images, and any internationalization fields (i18n_$LN).
Here’s an example of a successful API response for a product / content with the product_id
“arizona-ginseng-honey”:
{
"product_id": "arizona-ginseng-honey",
"title": "Arizona, Green Tea with Ginseng & Honey",
"description": "A refreshing and delicious blend of green tea with ginseng and honey.",
"price": 1.99,
"i18n_es": {
"title": "AriZona, Té verde con ginseng y miel"
// ... other product details in Spanish
},
"i18n_fr": {
"title": "AriZona - Thé Vert Aromatisé au Miel"
// ... other product details in French
},
"i18n_zh": {
"title": "美國ARIZONA亞歷桑納 - 蜂蜜人蔘綠茶"
// ... other product details in Chinese
}
}
If the provided product_id is invalid or does not exist in the system, the API will return
an error response with a status_code=404.
{
"message": "not found"
}
Documentation Index
Fetch the complete documentation index at: https://docs.miso.ai/llms.txt
Use this file to discover all available pages before exploring further.
Your secret API key is used to access every Miso API endpoint. You should secure this key and only use it on a backend server. Never leave this key in your client-side JavaScript code. If the private key is compromised, you can revoke it in Dojo and get a new one.
Specify your secret key in the api_key query parameter. For example:
POST /v1/users?api_key=039c501ac8dfcac91c6f05601cee876e1cc07e17512